Feeds:
Wpisy
Komentarze

Posts Tagged ‘paludis’

solution:
in /etc/paludis/package_mask.conf
>=dev-lang/perl-5.10.0-r2

then:
paludis -s syslog-ng
/etc/init.d/syslog-ng start
remove mask. update perl.

UPDATE:
Problem:
!!! Cannot overwrite file ‚/etc/env.d/alternatives/perl/5.10’ with directory ‚/var/tmp/paludis/build/dev-lang-perl-5.10.0-r2/image/etc/env.d/alternatives/perl/5.10’

Solution:
mv mv /etc/env.d/alternatives/perl/5.10 /root/
paludis -i1 perl

Problem:
eclectic config_data update 0.280801_perl-5.10
eclectic perl update 5.10
!!! Error: The given provider (5.10) does not exist

Solution:
http://article.gmane.org/gmane.linux.distributions.exherbo.devel/420/match=eclectic

cd /etc/env.d/alternatives
for i in *; do eclectic $i unset; done
#but i get errors: Can’t load module defaults, gcc_set, etc.
rm -r /etc/env.d/alternatives/*
paludis -i app-admin/eclectic

Problem:
/usr/bin/autoconf-2.63: /usr/bin/autom4te-2.63: /usr/bin/perl: bad interpreter: No such file or directory

Solution:
ln -s /usr/bin/perl5.10.0 /usr/bin/perl

Reklamy

Read Full Post »